#include "latfold.h"

/** @brief メインの関数
 *  @param[in] argc 引数の数
 *  @param[in] argv 引数の文字列配列へのポインター
 *  @retval 0 常に0
 */
int main(int argc, char *argv[]) {
	LatFold *lf;
#ifdef G_OS_WIN32
	gchar *locale_dir;
	gchar *prefix;
#endif  /* G_OS_WIN32 */
	print_enter();
	/* i18n */
#ifdef G_OS_WIN32
	prefix = g_win32_get_package_installation_directory("Ignition", NULL);
	locale_dir = g_build_filename(prefix, "share", "locale", NULL);
	bindtextdomain(GETTEXT_PACKAGE, locale_dir);
	g_nullify_pointer((gpointer)&prefix);
	g_nullify_pointer((gpointer)&locale_dir);
#else  /* G_OS_WIN32 */
	bindtextdomain(GETTEXT_PACKAGE, PROGRAMNAME_LOCALEDIR);
#endif  /* G_OS_WIN32 */
	bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
	textdomain(GETTEXT_PACKAGE);
	/* GTK+の初期化 */
	gtk_set_locale();
	gtk_init(&argc, &argv);
	/* 残り全部の初期化 */
	lf = latfold_new(&argc, &argv);
	/* 次のループが繰り替えされる */
	latfold_loop();
	/* 後処理 */
	latfold_destroy(lf);
	lf = NULL;
	print_leave();
	return 0;
}
