#include "latfold.h"

/** @brief ステータスバーにメッセージを表示させる関数
 *  @param[in] gui LatFoldGUIポインター
 *  @param[in] message 表示させるメッセージ
 */
void set_statusbar(LatFoldGUI *gui, gchar *mesg) {
	clear_statusbar(gui);
	gui->message = mesg;
	gui->cid = gtk_statusbar_get_context_id(GTK_STATUSBAR(gui->statusbar),mesg);
	gtk_statusbar_push(GTK_STATUSBAR(gui->statusbar), gui->cid, mesg);
	return;
}

/** @brief ステータスバーのメッセージを消去する関数
 *  @param[in] gui LatFoldGUIポインター
 */
void clear_statusbar(LatFoldGUI *gui) {
	if (gui->message != NULL) {
		gui->message = NULL;
		gtk_statusbar_pop(GTK_STATUSBAR(gui->statusbar), gui->cid);
	}
	return;
}
